Index: cbv2/src/southbridge/via/vt8237r/Makefile.inc
===================================================================
--- cbv2.orig/src/southbridge/via/vt8237r/Makefile.inc
+++ cbv2/src/southbridge/via/vt8237r/Makefile.inc
@@ -24,4 +24,4 @@ driver-y += vt8237r_lpc.o
 driver-y += vt8237r_sata.o
 driver-y += vt8237r_usb.o
 driver-y += vt8237r_nic.o
-obj-$(CONFIG_HAVE_ACPI_TABLES) += vt8237_fadt.o
+obj-$(CONFIG_GENERATE_ACPI_TABLES) += vt8237_fadt.o
Index: cbv2/src/arch/i386/boot/coreboot_table.c
===================================================================
--- cbv2.orig/src/arch/i386/boot/coreboot_table.c
+++ cbv2/src/arch/i386/boot/coreboot_table.c
@@ -436,7 +436,7 @@ static struct lb_memory *build_lb_mem(st
 	return mem;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 extern uint64_t high_tables_base, high_tables_size;
 #endif
 
@@ -447,7 +447,7 @@ unsigned long write_coreboot_table( 
 	struct lb_header *head;
 	struct lb_memory *mem;
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 	printk_debug("Writing high table forward entry at 0x%08lx\n",
 			low_table_end);
 	head = lb_table_init(low_table_end);
@@ -505,7 +505,7 @@ unsigned long write_coreboot_table( 
 	lb_add_memory_range(mem, LB_MEM_TABLE,
 		rom_table_start, rom_table_end-rom_table_start);
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 	printk_debug("Adding high table area\n");
 	// should this be LB_MEM_ACPI?
 	lb_add_memory_range(mem, LB_MEM_TABLE,
Index: cbv2/src/cpu/emulation/qemu-x86/northbridge.c
===================================================================
--- cbv2.orig/src/cpu/emulation/qemu-x86/northbridge.c
+++ cbv2/src/cpu/emulation/qemu-x86/northbridge.c
@@ -48,7 +48,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -101,7 +101,7 @@ static void cpu_pci_domain_set_resources
 		ram_resource(dev, idx++, 0, 640);
 		ram_resource(dev, idx++, 768, tolmk - 768);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/mainboard/kontron/986lcd-m/acpi_tables.c
===================================================================
--- cbv2.orig/src/mainboard/kontron/986lcd-m/acpi_tables.c
+++ cbv2/src/mainboard/kontron/986lcd-m/acpi_tables.c
@@ -355,7 +355,7 @@ unsigned long write_acpi_tables(unsigned
 
 	printk_debug("ACPI:     * DMI (Linux workaround)\n");
 	memcpy((void *)0xfff80, dmi_table, DMI_TABLE_SIZE);
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 	memcpy((void *)current, dmi_table, DMI_TABLE_SIZE);
 	current += DMI_TABLE_SIZE;
 	ALIGN_CURRENT;
Index: cbv2/src/northbridge/amd/amdfam10/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/amd/amdfam10/northbridge.c
+++ cbv2/src/northbridge/amd/amdfam10/northbridge.c
@@ -877,7 +877,7 @@ static void disable_hoist_memory(unsigne
 
 #endif
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -1052,7 +1052,7 @@ static void pci_domain_set_resources(dev
 					ram_resource(dev, (idx | i), basek, pre_sizek);
 					idx += 0x10;
 					sizek -= pre_sizek;
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 					if (i==0 && high_tables_base==0) {
 					/* Leave some space for ACPI, PIRQ and MP tables */
 						high_tables_base = (mmio_basek - HIGH_TABLES_SIZE) * 1024;
@@ -1085,7 +1085,7 @@ static void pci_domain_set_resources(dev
 		}
 		ram_resource(dev, (idx | i), basek, sizek);
 		idx += 0x10;
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		printk_debug("%d: mmio_basek=%08lx, basek=%08x, limitk=%08x\n",
 			     i, mmio_basek, basek, limitk);
 		if (i==0 && high_tables_base==0) {
Index: cbv2/src/northbridge/amd/amdk8/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/amd/amdk8/northbridge.c
+++ cbv2/src/northbridge/amd/amdk8/northbridge.c
@@ -836,7 +836,7 @@ static uint32_t hoist_memory(unsigned lo
 }
 #endif
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -1014,7 +1014,7 @@ static void amdk8_domain_set_resources(d
 					ram_resource(dev, (idx | i), basek, pre_sizek);
 					idx += 0x10;
 					sizek -= pre_sizek;
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 					if (i==0 && high_tables_base==0) {
 					/* Leave some space for ACPI, PIRQ and MP tables */
 						high_tables_base = (mmio_basek - HIGH_TABLES_SIZE) * 1024;
@@ -1048,7 +1048,7 @@ static void amdk8_domain_set_resources(d
 		if (sizek)
 			ram_resource(dev, (idx | i), basek, sizek);
 		idx += 0x10;
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		printk_debug("%d: mmio_basek=%08lx, basek=%08x, limitk=%08x\n",
 			     i, mmio_basek, basek, limitk);
 		if (i==0 && high_tables_base==0) {
Index: cbv2/src/northbridge/amd/gx1/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/amd/gx1/Config.lb
+++ cbv2/src/northbridge/amd/gx1/Config.lb
@@ -1,4 +1,4 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 config chip.h
 driver northbridge.o
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/amd/gx1/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/amd/gx1/northbridge.c
+++ cbv2/src/northbridge/amd/gx1/northbridge.c
@@ -105,7 +105,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -153,7 +153,7 @@ static void pci_domain_set_resources(dev
 			tolmk = tomk;
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/amd/gx2/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/amd/gx2/Config.lb
+++ cbv2/src/northbridge/amd/gx2/Config.lb
@@ -1,7 +1,7 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 config chip.h
 driver northbridge.o
 object northbridgeinit.o
 object chipsetinit.o
 object grphinit.o
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/amd/gx2/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/amd/gx2/northbridge.c
+++ cbv2/src/northbridge/amd/gx2/northbridge.c
@@ -476,7 +476,7 @@ static struct device_operations cpu_bus_
 
 void chipsetInit (void);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -503,7 +503,7 @@ static void enable_dev(struct device *de
 		dev->ops = &pci_domain_ops;
 		pci_set_method(dev);
 		tomk = ((sizeram() - VIDEO_MB) * 1024) - SMM_SIZE;
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/amd/lx/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/amd/lx/Config.lb
+++ cbv2/src/northbridge/amd/lx/Config.lb
@@ -1,6 +1,6 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 config chip.h
 driver northbridge.o
 object northbridgeinit.o
 object grphinit.o
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/amd/lx/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/amd/lx/northbridge.c
+++ cbv2/src/northbridge/amd/lx/northbridge.c
@@ -395,7 +395,7 @@ static void ram_resource(device_t dev, u
 	    IORESOURCE_FIXED | IORESOURCE_STORED | IORESOURCE_ASSIGNED;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -416,7 +416,7 @@ static void pci_domain_set_resources(dev
 		ram_resource(dev, idx++, 0, 640);
 		ram_resource(dev, idx++, 1024, tomk - 1024);	// Systop - 1 MB -> KB
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/e7501/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/e7501/Config.lb
+++ cbv2/src/northbridge/intel/e7501/Config.lb
@@ -1,7 +1,7 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 object northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/e7501/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/e7501/northbridge.c
+++ cbv2/src/northbridge/intel/e7501/northbridge.c
@@ -48,7 +48,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -129,7 +129,7 @@ static void pci_domain_set_resources(dev
 				(remaplimitk + 64*1024) - remapbasek);
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/e7520/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/e7520/Config.lb
+++ cbv2/src/northbridge/intel/e7520/Config.lb
@@ -1,4 +1,4 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 driver northbridge.o
@@ -7,7 +7,7 @@ driver pciexp_porta1.o
 driver pciexp_portb.o
 driver pciexp_portc.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
 
 makerule raminit_test
 	depends "$(TOP)/src/northbridge/intel/e7520/raminit_test.c"
Index: cbv2/src/northbridge/intel/e7520/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/e7520/northbridge.c
+++ cbv2/src/northbridge/intel/e7520/northbridge.c
@@ -52,7 +52,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -145,7 +145,7 @@ static void pci_domain_set_resources(dev
 				(remaplimitk + 64*1024) - remapbasek);
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/e7525/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/e7525/Config.lb
+++ cbv2/src/northbridge/intel/e7525/Config.lb
@@ -1,4 +1,4 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 driver northbridge.o
@@ -7,7 +7,7 @@ driver pciexp_porta1.o
 driver pciexp_portb.o
 driver pciexp_portc.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
 
 makerule raminit_test
 	depends "$(TOP)/src/northbridge/intel/e7525/raminit_test.c"
Index: cbv2/src/northbridge/intel/e7525/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/e7525/northbridge.c
+++ cbv2/src/northbridge/intel/e7525/northbridge.c
@@ -52,7 +52,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -145,7 +145,7 @@ static void pci_domain_set_resources(dev
 				(remaplimitk + 64*1024) - remapbasek);
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i3100/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i3100/Config.lb
+++ cbv2/src/northbridge/intel/i3100/Config.lb
@@ -17,7 +17,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
@@ -25,4 +25,4 @@ driver northbridge.o
 driver pciexp_porta.o
 driver pciexp_porta_ep80579.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/i3100/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i3100/northbridge.c
+++ cbv2/src/northbridge/intel/i3100/northbridge.c
@@ -73,7 +73,7 @@ static u32 find_pci_tolm(struct bus *bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -166,7 +166,7 @@ static void pci_domain_set_resources(dev
 				(remaplimitk + 64*1024) - remapbasek);
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i440bx/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i440bx/Config.lb
+++ cbv2/src/northbridge/intel/i440bx/Config.lb
@@ -18,10 +18,10 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 driver northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/i440bx/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i440bx/northbridge.c
+++ cbv2/src/northbridge/intel/i440bx/northbridge.c
@@ -72,7 +72,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -113,7 +113,7 @@ static void i440bx_domain_set_resources(
 		ram_resource(dev, idx++, 0, 640);
 		ram_resource(dev, idx++, 768, tolmk - 768);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i82810/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i82810/Config.lb
+++ cbv2/src/northbridge/intel/i82810/Config.lb
@@ -18,10 +18,10 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 driver northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/i82810/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i82810/northbridge.c
+++ cbv2/src/northbridge/intel/i82810/northbridge.c
@@ -109,7 +109,7 @@ static int translate_i82810_to_mb[] = {
 /* MB */0, 8, 0, 16, 16, 24, 32, 32, 48, 64, 64, 96, 128, 128, 192, 256,
 };
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -172,7 +172,7 @@ static void pci_domain_set_resources(dev
 		ram_resource(dev, idx++, 0, 640);
 		ram_resource(dev, idx++, 768, tolmk - 768);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i82830/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i82830/Config.lb
+++ cbv2/src/northbridge/intel/i82830/Config.lb
@@ -18,11 +18,11 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 driver northbridge.o
 driver vga.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/i82830/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i82830/northbridge.c
+++ cbv2/src/northbridge/intel/i82830/northbridge.c
@@ -88,7 +88,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -130,7 +130,7 @@ static void pci_domain_set_resources(dev
 		ram_resource(dev, idx++, 0, 640);
 		ram_resource(dev, idx++, 1024, tolmk - 1024);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i855gme/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i855gme/Config.lb
+++ cbv2/src/northbridge/intel/i855gme/Config.lb
@@ -18,10 +18,10 @@
  * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
  */
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 object northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/i855gme/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i855gme/northbridge.c
+++ cbv2/src/northbridge/intel/i855gme/northbridge.c
@@ -70,7 +70,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -129,7 +129,7 @@ static void pci_domain_set_resources(dev
 		/* ram_resource(dev, idx++, 1024, tolmk - 1024); */
 		ram_resource(dev, idx++, 768, tolmk - 768);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i855pm/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i855pm/Config.lb
+++ cbv2/src/northbridge/intel/i855pm/Config.lb
@@ -1,7 +1,7 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 object northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/intel/i855pm/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i855pm/northbridge.c
+++ cbv2/src/northbridge/intel/i855pm/northbridge.c
@@ -49,7 +49,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -97,7 +97,7 @@ static void pci_domain_set_resources(dev
 		ram_resource(dev, idx++, 0, 640);
 		ram_resource(dev, idx++, 768, tolmk - 768);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 		/* Leave some space for ACPI, PIRQ and MP tables */
 		high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/intel/i945/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/intel/i945/Config.lb
+++ cbv2/src/northbridge/intel/i945/Config.lb
@@ -17,9 +17,9 @@
 # Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 #
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
 
 config chip.h
 
Index: cbv2/src/northbridge/intel/i945/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/intel/i945/northbridge.c
+++ cbv2/src/northbridge/intel/i945/northbridge.c
@@ -126,7 +126,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 #define HIGH_TABLES_SIZE 64	// maximum size of high tables in KB
 extern uint64_t high_tables_base, high_tables_size;
 #endif
@@ -213,7 +213,7 @@ static void pci_domain_set_resources(dev
 
 	assign_resources(&dev->link[0]);
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 	/* Leave some space for ACPI, PIRQ and MP tables */
 	high_tables_base = (tomk - HIGH_TABLES_SIZE) * 1024;
 	high_tables_size = HIGH_TABLES_SIZE * 1024;
Index: cbv2/src/northbridge/via/cn400/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/via/cn400/Config.lb
+++ cbv2/src/northbridge/via/cn400/Config.lb
@@ -18,7 +18,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 uses CONFIG_IOAPIC
 
 config chip.h
@@ -30,4 +30,4 @@ driver agp.o
 driver vga.o
 driver vlink.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/via/cn400/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/via/cn400/northbridge.c
+++ cbv2/src/northbridge/via/cn400/northbridge.c
@@ -218,7 +218,7 @@ static u32 find_pci_tolm(struct bus *bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 /* maximum size of high tables in KB */
 #define HIGH_TABLES_SIZE 64
 extern uint64_t high_tables_base, high_tables_size;
@@ -250,7 +250,7 @@ static void cn400_domain_set_resources(d
 			tolmk = tomk;
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 		/* Locate the High Tables at the Top of Low Memory below the Video RAM */
 		high_tables_base = (uint64_t) (tolmk - (CONFIG_VIDEO_MB *1024) - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = (uint64_t) HIGH_TABLES_SIZE* 1024;
Index: cbv2/src/northbridge/via/cn700/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/via/cn700/Config.lb
+++ cbv2/src/northbridge/via/cn700/Config.lb
@@ -18,7 +18,7 @@
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 ##
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
@@ -28,4 +28,4 @@ driver northbridge.o
 driver agp.o
 driver vga.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/via/cn700/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/via/cn700/northbridge.c
+++ cbv2/src/northbridge/via/cn700/northbridge.c
@@ -142,7 +142,7 @@ static u32 find_pci_tolm(struct bus *bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 /* maximum size of high tables in KB */
 #define HIGH_TABLES_SIZE 64
 extern uint64_t high_tables_base, high_tables_size;
@@ -185,7 +185,7 @@ static void pci_domain_set_resources(dev
 			tolmk = tomk;
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE* 1024;
 		printk_debug("tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
Index: cbv2/src/northbridge/via/cx700/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/via/cx700/Config.lb
+++ cbv2/src/northbridge/via/cx700/Config.lb
@@ -15,7 +15,7 @@
 ## along with this program; if not, write to the Free Software
 ## Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
 
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
@@ -28,4 +28,4 @@ driver cx700_lpc.o
 driver cx700_sata.o
 driver cx700_vga.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/via/cx700/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/via/cx700/northbridge.c
+++ cbv2/src/northbridge/via/cx700/northbridge.c
@@ -72,7 +72,7 @@ static u32 find_pci_tolm(struct bus *bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 /* maximum size of high tables in KB */
 #define HIGH_TABLES_SIZE 64
 extern uint64_t high_tables_base, high_tables_size;
@@ -116,7 +116,7 @@ static void pci_domain_set_resources(dev
 		tolmk -= 1024;	// TOP 1M SM Memory
 	}
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 	high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 	high_tables_size = HIGH_TABLES_SIZE* 1024;
 	printk_debug("tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
Index: cbv2/src/northbridge/via/vt8601/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/via/vt8601/Config.lb
+++ cbv2/src/northbridge/via/vt8601/Config.lb
@@ -1,7 +1,7 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 driver northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/via/vt8601/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/via/vt8601/northbridge.c
+++ cbv2/src/northbridge/via/vt8601/northbridge.c
@@ -84,7 +84,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 /* maximum size of high tables in KB */
 #define HIGH_TABLES_SIZE 64
 extern uint64_t high_tables_base, high_tables_size;
@@ -130,7 +130,7 @@ static void pci_domain_set_resources(dev
 			tolmk = tomk;
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE* 1024;
 		printk_debug("tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
Index: cbv2/src/northbridge/via/vt8623/Config.lb
===================================================================
--- cbv2.orig/src/northbridge/via/vt8623/Config.lb
+++ cbv2/src/northbridge/via/vt8623/Config.lb
@@ -1,7 +1,7 @@
-uses CONFIG_HAVE_HIGH_TABLES
+uses CONFIG_WRITE_HIGH_TABLES
 
 config chip.h
 
 driver northbridge.o
 
-default CONFIG_HAVE_HIGH_TABLES=1
+default CONFIG_WRITE_HIGH_TABLES=1
Index: cbv2/src/northbridge/via/vt8623/northbridge.c
===================================================================
--- cbv2.orig/src/northbridge/via/vt8623/northbridge.c
+++ cbv2/src/northbridge/via/vt8623/northbridge.c
@@ -229,7 +229,7 @@ static uint32_t find_pci_tolm(struct bus
 	return tolm;
 }
 
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 /* maximum size of high tables in KB */
 #define HIGH_TABLES_SIZE 64
 extern uint64_t high_tables_base, high_tables_size;
@@ -275,7 +275,7 @@ static void pci_domain_set_resources(dev
 			tolmk = tomk;
 		}
 
-#if CONFIG_HAVE_HIGH_TABLES == 1
+#if CONFIG_WRITE_HIGH_TABLES == 1
 		high_tables_base = (tolmk - HIGH_TABLES_SIZE) * 1024;
 		high_tables_size = HIGH_TABLES_SIZE* 1024;
 		printk_debug("tom: %lx, high_tables_base: %llx, high_tables_size: %llx\n", tomk*1024, high_tables_base, high_tables_size);
Index: cbv2/src/southbridge/via/k8t890/k8t890_dram.c
===================================================================
--- cbv2.orig/src/southbridge/via/k8t890/k8t890_dram.c
+++ cbv2/src/southbridge/via/k8t890/k8t890_dram.c
@@ -92,7 +92,7 @@ static void get_memres(void *gp, struct 
 		(proposed_base < ((uint64_t) 0xffffffff) )) {
 		resmax = res;
 	}
-#if CONFIG_HAVE_HIGH_TABLES==1
+#if CONFIG_WRITE_HIGH_TABLES==1
 /* in arch/i386/boot/tables.c */
 extern uint64_t high_tables_base, high_tables_size;
 
